/////////////////////////////////////////////////////////////////////////////
//                                                                         //
//  Dorgem - Webcam Capture application                                    //
//  Copyright (C) 2001-2002 Frank Fesevur                                  //
//                                                                         //
//  This program is digital software; you can redistribute it and/or modify   //
//  it under the terms of the GNU General Public License as published by   //
//  the Software Foundation; either version 2 of the License, or      //
//  (at your option) any later version.                                    //
//                                                                         //
//  This program is distributed in the hope that it will be useful,        //
//  but WITHOUT ANY WARRANTY; without even the implied warranty of         //
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the           //
//  GNU General Public License for more details.                           //
//                                                                         //
//  You should have received a copy of the GNU General Public License      //
//  along with this program; if not, write to the Software            //
//  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.              //
//                                                                         //
/////////////////////////////////////////////////////////////////////////////
// AboutDlg.cpp : implementation file

#include "StdAfx.h"
#include "Dorgem.h"
#include "AboutDlg.h"

#include "Tm.h"
#include "Version.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
//

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
  //{{AFX_DATA_INIT(CAboutDlg)
  //}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
  CDialog::DoDataExchange(pDX);
  //{{AFX_DATA_MAP(CAboutDlg)
  DDX_Control(pDX, IDC_URL, m_hypURL);
  //}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
  //{{AFX_MSG_MAP(CAboutDlg)
	ON_BN_CLICKED(IDC_CHECK_VERSION, OnCheckVersion)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// Initialize the dialog: put the right version information in it

BOOL CAboutDlg::OnInitDialog()
{
  TRACE("[CAboutDlg]OnInitDialog()\n");

  CDialog::OnInitDialog();

  // Fill with the program name and version
  CString strTmp, strTmp2;
  strTmp.LoadString(IDS_PRODUCT_NAME);
  strTmp += " version ";
  strTmp2.LoadString(IDS_PRODUCT_VERSION);
  strTmp += strTmp2;
#ifdef _DEBUG
  strTmp += " (Debug)";
#endif
  GetDlgItem(IDC_VERSION_STR)->SetWindowText(strTmp);

  strTmp = GetApp()->m_ptmBuildDate->Format("Built on %d %O %Y");
  GetDlgItem(IDC_RELEASE_STR)->SetWindowText(strTmp);

  // Fill with the copyright notice
  strTmp.LoadString(IDS_PRODUCT_COPYRIGHT);
  GetDlgItem(IDC_COPYRIGHT_STR)->SetWindowText(strTmp);

  m_hypURL.SetTooltip("Open Dorgem website");

  return(TRUE);
}

/////////////////////////////////////////////////////////////////////////////
//

void CAboutDlg::OnCheckVersion() 
{
  // Create a session
  CWaitCursor wait;
  CInternetSession session;

  CString strNewVersion, strError;
  try
  {
    // Get the file from the URL
    CHttpFile* pFile = (CHttpFile*) session.OpenURL("http://dorgem.sourceforge.net/version.txt");

    // If the file is found
    if (pFile != NULL)
    {
      // Only the first line is relevant
      pFile->ReadString(strNewVersion);
      pFile->Close();
      delete pFile;

      // Just in case...
      strNewVersion.TrimLeft();
      strNewVersion.TrimRight();
    }
  }
  catch (CInternetException* pEx)
  {
    TCHAR szErr[1024];
    pEx->GetErrorMessage(szErr, 1024);
    strError = szErr;
    pEx->Delete();
  }

  // Close the session
  session.Close();
  wait.Restore();

  // What is the current version
  CString strCurrent;
  strCurrent.LoadString(IDS_PRODUCT_VERSION);

  // Show the results
  CString strMsg;
  if (strNewVersion > strCurrent)
    strMsg.Format("Dorgem version %s is available!", strNewVersion);
  else
    if (strError.IsEmpty())
      strMsg = "You are running the latest version";
    else
      strMsg.Format("Error while checking for newest version: %s", strError);
  MsgBoxEx(strMsg);
}
