/////////////////////////////////////////////////////////////////////////////
//                                                                         //
//  Dorgem - Webcam Capture application                                    //
//  Copyright (C) 2001 Frank Fesevur                                       //
//                                                                         //
//  This program is software; you can redistribute it and/or modify   //
//  it under the terms of the GNU General Public License as published by   //
//  the Software Foundation; either version 2 of the License, or      //
//  (at your option) any later version.                                    //
//                                                                         //
//  This program is distributed in the hope that it will be useful,        //
//  but WITHOUT ANY WARRANTY; without even the implied warranty of         //
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the           //
//  GNU General Public License for more details.                           //
//                                                                         //
//  You should have received a copy of the GNU General Public License      //
//  along with this program; if not, write to the Software            //
//  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.              //
//                                                                         //
/////////////////////////////////////////////////////////////////////////////
// EventManager.h: interface for the CEventManager class.

#ifndef __EVENTMANAGER_H__
#define __EVENTMANAGER_H__

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class CDorgemEvent;

#ifndef CDorgemEventPtrArray
#define CDorgemEventPtrArray CTypedPtrArray<CObArray,CDorgemEvent*>
#endif

class CEventManager : public CObject
{
public:
  CEventManager();
  virtual ~CEventManager();

  BOOL Exist(CString);

  BOOL AddEvent(CDorgemEvent*);
  void RemoveAll();
  BOOL Remove(CString);

  CDorgemEvent* GetFirstEvent();
  CDorgemEvent* GetNextEvent();

  void WriteEvents();
  void Order();

protected:

  CDorgemEventPtrArray m_pEvent;
  int m_iCount;
  CString m_strRegEntry;


  virtual void ReadEvents() = 0;
};

#endif // __EVENTMANAGER_H__
